<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.7) on Fri Oct 09 11:17:41 CEST 2020 -->
<title>OCAJavaOperators</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-09">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../jquery/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="OCAJavaOperators";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">oca.operators</a></div>
<h2 title="Class OCAJavaOperators" class="title">Class OCAJavaOperators</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>oca.operators.OCAJavaOperators</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">OCAJavaOperators</span>
extends java.lang.Object</pre>
<div class="block"><h1>Understanding Java Operators</h1></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">OCAJavaOperators</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#operatorPrecedence()">operatorPrecedence</a></span>()</code></th>
<td class="colLast">
<div class="block">Operator Precedence</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#typesOfOperators()">typesOfOperators</a></span>()</code></th>
<td class="colLast">
<div class="block">Types of Operators</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>OCAJavaOperators</h4>
<pre>public&nbsp;OCAJavaOperators()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="typesOfOperators()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>typesOfOperators</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;typesOfOperators()</pre>
<div class="block"><h1>Types of Operators</h1>
 <p>
 Three types of operators
 </p>
 <ul>
 <li>unuary operator = applied to one operand</li>
 <li>binary operator = applied to two operands</li>
 <li>ternary operator = applied to three operands</li>
 </ul></div>
</li>
</ul>
<a id="operatorPrecedence()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>operatorPrecedence</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;operatorPrecedence()</pre>
<div class="block"><h1>Operator Precedence</h1>
 
 <table>
 <thead>
 <tr>
 <th><b>Operator</b></th>
 <th><b>Symbols and exemples</b></th>
 </tr>
 </thead> <tbody>
 <tr>
 <td>
 <p style="margin-right:15px">
 Post-unuary operators
 </p>
 </td>
 <td>
 <p style="margin-right:15px">
 <code>expression<b>++</b>, expression<b>--</b></code>
 </p>
 </td>
 </tr>
 <tr>
 <td>
 <p style="margin-right:15px">
 Pre-unuary operators
 </p>
 </td>
 <td>
 <p style="margin-right:15px">
 <code><b>++</b>expression, <b>--</b>expression</code>
 </p>
 </td>
 </tr>
 <tr>
 <td>
 <p style="margin-right:15px">
 Other unuary operators
 </p>
 </td>
 <td>
 <p style="margin-right:15px">
 <code><b>-</b>, <b>!</b>, <b>~</b>, <b>+</b>, <b>(type)</b></code>
 </p>
 </td>
 </tr>
 <tr>
 <td>
 <p style="margin-right:15px">
 Multiplication, division, modulus
 </p>
 </td>
 <td>
 <p style="margin-right:15px">
 <code><b>*</b>, <b>/</b>, <b>%</b></code>
 </p>
 </td>
 </tr>
 <tr>
 <td>
 <p style="margin-right:15px">
 Addition, substraction
 </p>
 </td>
 <td>
 <p style="margin-right:15px">
 <code><b>+</b>, <b>-</b></code>
 </p>
 </td>
 </tr>
 <tr>
 <td>
 <p style="margin-right:15px">
 Shift operators
 </p>
 </td>
 <td>
 <p style="margin-right:15px">
 <code><b>&lt;&lt;</b>, <b>&gt;&gt;</b>, <b>&gt;&gt;&gt;</b></code>
 </p>
 </td>
 </tr>
 <tr>
 <td>
 <p style="margin-right:15px">
 Relation operators
 </p>
 </td>
 <td>
 <p style="margin-right:15px">
 <code><b>&lt;</b>, <b>&gt;</b>, <b>&lt;=</b>, <b>&gt;=</b>, <b>instanceof</b></code>
 </p>
 </td>
 </tr>
 <tr>
 <td>
 <p style="margin-right:15px">
 Equal to / not equal to
 </p>
 </td>
 <td>
 <p style="margin-right:15px">
 <code><b>==</b>, <b>!=</b></code>
 </p>
 </td>
 </tr>
 <tr>
 <td>
 <p style="margin-right:15px">
 Logical operators
 </p>
 </td>
 <td>
 <p style="margin-right:15px">
 <code><b>&</b>, <b>^</b>, <b>|</b></code>
 </p>
 </td>
 </tr>
 <tr>
 <td>
 <p style="margin-right:15px">
 Short-circuit logical operators
 </p>
 </td>
 <td>
 <p style="margin-right:15px">
 <code><b>&&</b>, <b>||</b></code>
 </p>
 </td>
 </tr>
 <tr>
 <td>
 <p style="margin-right:15px">
 Ternary operators
 </p>
 </td>
 <td>
 <p style="margin-right:15px">
 <code>boolean expression <b>?</b> expression1 <b>:</b> expression2</code>
 </p>
 </td>
 </tr>
 <tr>
 <td>
 <p style="margin-right:15px">
 Assignment operators
 </p>
 </td>
 <td>
 <p style="margin-right:15px">
 <code><b>=</b>, <b>+=</b>, <b>-=</b>, <b>*=</b>, <b>/=</b>, <b>%=</b>, <b>&=</b>, <b>^=</b>, <b>|=</b>, <b>&lt;&lt;=</b>, <b>&gt;&gt;=</b>, <b>&gt;&gt;&gt;=</b></code>
 </p>
 </td>
 </tr>
 </tbody>
 </table></div>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
